op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

list(usable).
x = x.
z1*x != u | z2*y != u | z1*z != w | z3*y != w | z2*z = z3*x.

x * e = x.

% Denial of RC:
C4*A = C3*B.
C2*A = C1*B.
C4*F = C3*E.
C2*F != C1*E.
end_of_list.

list(passive).
assign(e, 0).
end_of_list.

